Search documentation of ssh

# View Source ssh_server_key_api behaviour (ssh v5.2.11.7)

-behaviour(ssh_server_key_api).

Behaviour describing the API for public key handling of an SSH server. By implementing the callbacks defined in this behavior, the public key handling of an SSH server can be customized. By default the SSH application implements this behavior with help of the standard OpenSSH files, see the ssh application manual.

# Summary

## Types

daemon_key_cb_options(T)

Options provided to ssh:daemon/2,3.

## Callbacks

host_key(Algorithm, DaemonOptions)

Fetches the private key of the host.

is_auth_key(PublicKey, User, DaemonOptions)

Checks if the user key is authorized.

# Types

# daemon_key_cb_options(T)

(since OTP R16B)

    -type daemon_key_cb_options(T) :: [{key_cb_private, [T]} | ssh:daemon_option()].

Options provided to ssh:daemon/2,3.

The option list given in the `key_cb` option is available with the key `key_cb_private`.

# Callbacks

# host_key(Algorithm, DaemonOptions)

(since OTP R16B)

    -callback host_key(Algorithm :: ssh:pubkey_alg(), DaemonOptions :: daemon_key_cb_options(any())) ->
                          {ok, PrivateKey :: public_key:private_key()} | {error, term()}.

Fetches the private key of the host.

# is_auth_key(PublicKey, User, DaemonOptions)

(since OTP R16B)

    -callback is_auth_key(PublicKey :: public_key:public_key(),
                          User :: string(),
                          DaemonOptions :: daemon_key_cb_options(any())) ->
                             boolean().

Checks if the user key is authorized.